ECHO OFF
rem
rem        ECHODOR.BAT Controling batch file
rem
rem        You MUST put the name "ECHODOR" in your MENU5 file (Doors Menu)
rem        in ALL CAPS, Preceeded and followed by a SPACE!
rem
rem        The first  thing we have to do is change the Current Dir to the
rem        Dir with the Echodor files.
rem
cd \echodor
rem
rem        Now, we need all the DORINFOx.DEF files from the RBBS dir.
rem
rem        If you specified the BBSPATH parameter in the DoorDriv.Ctl
rem        file to point to the RBBS directory, then you don't have to
rem        copy the file to the current directory.  EchoDor will know
rem        where to look.
rem
rem copy \rbbs\dorinfo*.def
rem
rem
rem         Now since RBBS will pass the node number to ECHODOR.BAT
rem         on the command line, we need to run echodor passing the
rem         node number.  This is how echomail figures out which
rem         DORINFOx.DEF file to use.
rem
rem
Echodor %1 %2
rem
rem         Check for errorlevel 3.  If EchoDor exits with errorlevel 3
rem         then call the EchoDor download batch file.  This batch file
rem         assumes that parameter %1 contains the node number.
rem
rem         The %2 parameter is to allow the /R (restart) parameter to
rem         be passed back to EchoDor to tell it that it should restore
rem         the user information & time.  This information is saved in
rem         a file called EchoDor#.ret where "#" is the node number.
rem
rem         Node #1 would use EchoEX1.BAT
rem
if errorlevel 3 EchoEX%1
rem
rem         Now to return to RBBS-PC...  Since Rctty.bat will call RBBS.BAT,
rem         you dont need to re-call it in this batch file.
rem
CD \rbbs
